classification
Title: Remove last traces of -Q / sys.flags.division_warning / Py_DivisionWarningFlag
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: benjamin.peterson, eric.araujo, georg.brandl, python-dev, rhettinger
Priority: normal Keywords: needs review, patch

Created on 2011-01-24 19:25 by eric.araujo, last changed 2011-04-27 14:37 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
division_warning.diff eric.araujo, 2011-01-24 19:25
Messages (9)
msg126943 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-01-24 19:25
The -Q command-line option has been removed in Python 3 but there are some leftovers.  Attached patch removes them; tests pass; please review.

I think 3.1 should be fixed too, since no sane program should use those leftovers.

I removed the now-pointless tests in test_cmd_line.  They were not failing; this may be a bug in verify_valid_flag, out of scope for this report.

While I was editing the table used to document sys.flags, I added some link-generating markup (to the respective option doc) and made the table markup easier to read and edit.  I can make those changes in another commit if you prefer it.
msg126944 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-01-24 19:35
This would have been good for 3.2, but it is an API change...
msg126951 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-01-24 20:06
I'm in mildly in favor of getting this done before the next release candidate.  It seems like a desirable clean-up that would better be done sooner than later.
msg126961 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-01-24 22:13
My argument that this change should have no impact so it’s safe to commit also works the other way: there is no pressure to make an exception to the process and commit this after rc1.  3.1 and 3.2 will have the bug, 3.3 won’t.
msg126992 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-01-25 07:27
You can even argue it's a bug fix for 3.2.1, but I'd rather keep the list of changes in the rc small.
msg132196 - (view) Author: Roundup Robot (python-dev) Date: 2011-03-26 01:04
New changeset 0d2ef718ae67 by Éric Araujo in branch '3.1':
Tweaks to sys.flags description table.
http://hg.python.org/cpython/rev/0d2ef718ae67

New changeset c19752ea037f by Éric Araujo in branch 'default':
Remove traces of division_warning left over from Python 2 (#10998)
http://hg.python.org/cpython/rev/c19752ea037f
msg132199 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-26 01:11
Given your approval of the idea and lack of code comments, I committed the patch for 3.3 without requesting more review.
msg132202 - (view) Author: Roundup Robot (python-dev) Date: 2011-03-26 01:18
New changeset 814599728ac0 by Éric Araujo in branch '2.7':
Tweaks to sys.flags description table.
http://hg.python.org/cpython/rev/814599728ac0
msg134569 - (view) Author: Roundup Robot (python-dev) Date: 2011-04-27 14:37
New changeset f9e2b2b17e58 by Éric Araujo in branch 'default':
Add versionchanged for c19752ea037f (#10998)
http://hg.python.org/cpython/rev/f9e2b2b17e58
History
Date User Action Args
2011-04-27 14:37:37python-devsetmessages: + msg134569
2011-03-26 01:18:34python-devsetmessages: + msg132202
2011-03-26 01:11:54eric.araujosetstatus: open -> closed
resolution: fixed
messages: + msg132199

stage: commit review -> resolved
2011-03-26 01:04:07python-devsetnosy: + python-dev
messages: + msg132196
2011-01-25 07:27:32georg.brandlsetnosy: georg.brandl, rhettinger, benjamin.peterson, eric.araujo
messages: + msg126992
2011-01-24 22:13:50eric.araujosetnosy: georg.brandl, rhettinger, benjamin.peterson, eric.araujo
messages: + msg126961
versions: + Python 3.3, - Python 3.1, Python 3.2
2011-01-24 20:06:20rhettingersetnosy: + rhettinger
messages: + msg126951
2011-01-24 19:35:00georg.brandlsetnosy: georg.brandl, benjamin.peterson, eric.araujo
messages: + msg126944
2011-01-24 19:25:49eric.araujocreate